import java.util.*;

public class Producer implements Runnable
{
    private RemoteChannel mbox;

    public Producer (RemoteChannel m) {
        mbox = m;
    }
    
    public void run () {
       Date message;
       
       while (true) {
          // nap for a while
          SleepUtilities.nap();
          
          // produce an item and enter
          // it into the buffer
          message = new Date();
          System.out.println("Producer produced " + message);
          try {
              mbox.send(message);
          } catch (java.rmi.RemoteException re) {
              System.err.println(re);
          }
       }
    }
}