import java.util.*;
class Consumer implements Runnable
{
    private RemoteChannel mbox;
    public Consumer(RemoteChannel m) {
        mbox = m;
    }

    public void run() {
        Date message;
        while (true) {
            // nap for awhile
            SleepUtilities.nap();
            // consume an item from the buffer 
            try {
                message = (Date)mbox.receive();
                if (message != null)
                    System.out.println("Consumer consumed " + message);
            } 
            catch (java.rmi.RemoteException re) 
            { System.err.println(re);}
        }
    } 
}