import java.rmi.*;
public class Factory
{
    public Factory() {
        // remote object
        RemoteChannel mailBox;
        //RMISecurityManager();
        try {
            mailBox = (RemoteChannel)Naming.lookup
            ("rmi://127.0.0.1/MessageQueue");
            Thread producer = new Thread(new Producer(mailBox));
            Thread consumer = new Thread(new Consumer(mailBox));
            producer.start();
            consumer.start();
        }
        catch (Exception e) {
            System.err.println(e);
        } 
    }

    public static void main(String args[]) { Factory client = new Factory();
    } 
}